<?php
namespace Teknisa\CDP\Modules\Producao\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\CDP\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;
    use Teknisa\CDP\Modules\Producao\Services\ger24000HabilidadeService;

    class ger24000HabilidadeController extends TeknisaCrud {
        protected $ger24000HabilidadeService;
  
        public function __construct($crudService, ParameterBag $parameterBag, ger24000HabilidadeService $ger24000HabilidadeService){
            parent::__construct($crudService, $parameterBag);
            $this->ger24000HabilidadeService = $ger24000HabilidadeService; 
        }
	    
	    public function saveCustohab(DTO\Request $request, DTO\Response $response) {
            $row = $request->getRow();
    	    try{
                $existe = $this->ger24000HabilidadeService->save($row);

    	    } catch (\Exception $e){
                $response->setError(new Error($e->getMessage(), $e->getCode()));
            }
	    }
        
    }
?>