<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class Cdp00500EtapaDeProducaoService{
	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $Cdp00500EtapaDeProducaoFactory;
	protected $dataSourceManager;

	public function __construct(Environment $environment, EntityManager $entityManager, $Cdp00500EtapaDeProducaoFactory, $dataSourceManager){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->Cdp00500EtapaDeProducaoFactory = $Cdp00500EtapaDeProducaoFactory;
		$this->dataSourceManager = $dataSourceManager;
	}

	
   public function saveEtapa($row){
        $this->verficaNomeEtapa($row);
        $array[] = $row;
        $dataSet = new DataSet('etapaprod', $array);
        $this->dataSourceManager->persist($dataSet);
    }

    //não permite salvar Etapas com mesmo nome
    public function verficaNomeEtapa($row){
        $resultadoBanco = $this->Cdp00500EtapaDeProducaoFactory->verficaNomeEtapa($row);
        if(!empty($resultadoBanco )){
            // no caso de edição para verificar se o pais ja existe na base e está sendo editado
            if($resultadoBanco[0]['CDETAPAPROD'] !== $row['CDETAPAPROD']){
                throw new \Exception("Nome já cadastrado.", 1);

            }
        }
    }

}