<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;


class Cdp01900ConsultaProdutoPorMateriaPrimaService{

	protected $entityManager;
	protected $environment;
	
	public function __construct(Environment $environment, EntityManager $entityManager){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
	}

	
    public function verificaCheck($rows){
        
        for($i = 0; count($rows) > $i; $i++){
              
        	if(($rows[$i]["IDRATCUSPROD"] == "N") && ($rows[$i]["VRPERCUSMAT"] == 0)){
              $rows[$i]["IDMARCADO"] = "N";
	        } else {
				$rows[$i]["IDMARCADO"] = "S";
			}
        }
        return $rows;
    }
}