<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Teknisa\CDP\Modules\Producao\Factories\cdpExtratoOrdemProducaoFactory;

class cdpExtratoOrdemProducaoService{

	protected $factory;

	public function __construct(cdpExtratoOrdemProducaoFactory $factory){

		$this->factory = $factory;
	}
	
	public function buscaDadosHeader($row){
	    return $this->factory->buscaDadosHeader($row['CDFILIAL'],$row['NRORDPROD'],$row['NRSUBORDPROD']);
	}
	
	public function buscaListaEtapa($row){
		return $this->factory->buscaListaEtapa($row['CDFILIAL'],$row['NRORDPROD'],$row['NRSUBORDPROD']);
	}
	
	public function buscaListaInsumo($row,$cdetapaprod){
		return $this->factory->buscaListaInsumo($row['CDFILIAL'],$row['NRORDPROD'],$row['NRSUBORDPROD'],$cdetapaprod);
	}
	
	public function buscaAtividade($row,$cdetapaprod){
		return $this->factory->buscaAtividade($row['CDFILIAL'],$row['NRORDPROD'],$row['NRSUBORDPROD'],$cdetapaprod);
	}
	
	public function buscaPerda($row,$cdetapaprod){
		return $this->factory->buscaPerda($row['CDFILIAL'],$row['NRORDPROD'],$row['NRSUBORDPROD'],$cdetapaprod);
	}
}

?>